1. Home
  2. Docs
  3. PopcornFX v2
  4. Plugins
  5. UE4 plugin

UE4 plugin

Overview

This section will cover how to install and use the UE4 plugin for PopcornFX v2.

Plugin versions

For each PopcornFX SDK/Editor release, there is a matching UE4 plugin:

When updating your PopcornFX Editor, make sure to also update the UE4 plugin to match that editor version.

UE4 versions

When a new UE4 version comes out, we provide a plugin update.

The latest plugin currently supports: UE4.19, UE4.20, UE4.21, UE4.22, UE4.23

This plugin does

  • Ultimately implement all the PopcornFX SDK integration features
  • Use the standard pipelines of Unreal Engine 4 for workflow, rendering etc… (if we do something wrong, please contact us!)
  • Let you customize particle materials for rendering
  • Keep the plugin a plugin: no engine source code modification needed !

This plugin does not

  • Provide a way to author PopcornFX v2 effects directly inside the UE4 editor. To do this, you have to use the PopcornFX v2 Editor
  • Have a relation with UE4’s Cascade or Niagara particle systems, PopcornFX is another, different particle system engine

 

Articles

Still stuck? Contact us
Was this article helpful to you? Yes No

How can we help?